Erro de Configuração no Docker Compose

Problema:

Caso execute o comando docker-compose up -d, e a seguinte mensagem de erro seja apresentada:


[root@localhost /]# docker-compose up -d

ERROR: The Compose file './docker-compose.yml' is invalid because: Unsupported config option for networks: 'senhasegura-network-connector'

Unsupported config option for services: 'senhasegura-network-connector-agent'

Solução:

Esse erro ocorre porque a versão do Docker Compose é muito antiga e não identifica corretamente as opções especificadas no arquivo de composição (docker-compose.yml). Para resolver o problema, é necessário atualizar o Docker Compose para uma versão mais recente.